Skip to main content

Get Notifications Page

GET 

/notification/v1/player/:player_uuid/notification

Get recent notifications ordered from the newest to the oldest.

It is important to stress that this endpoint returns notifications in reverse order compared to the streaming API. The first notification returned from this will be the newest one we can find, and older ones will be further down the page (or on later pages).

This API is useful for displaying a list of the most recent notifications to the user, only requesting further pages when the user requests a bigger list.

Client are expected to poll this endpoint regularly.

This version can be used for any client provided its id (with proper permissions)

Required Permissions:

  • For any player (including themselves) any of: notification:player:*, notification:player:read

  • For the player themselves any of: notification:player:self:*, notification:player:self:read

Request

Path Parameters

    player_uuid uuidrequired

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 100

    Default value: 10

    start_at Start At

    Return results starting at this index (inclusive). If none provided then will start at the latest notification. You cannot depend on the format of this string, and it must be considered opaque

    exclude_before Exclude Before

    All notifications including and before this (chronologically) provided id will be ignored when returning results. You cannot depend on the format of this string, and it must be considered opaque

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this content, will return a 304 response - indicating that the content has not changed

Responses

Successful Response

Schema

    notifications

    object[]

    List of notifications

  • Array [

  • message Message (string)required

    Possible values: <= 4096 characters

    Base Message for the notification

    rh_url Rh Url (string)

    Possible values: non-empty and <= 4096 characters

    Path to get additional data about this notification

    custom_data

    object

    Custom values for the notification

    property name* string
    etag Etag (string)

    Possible values: non-empty

    ETag for the resource at rh_url at the time of this notification

    notification_id Notification Id (string)required

    Unique Identifier for the notification. You cannot depend on the format of this string, and it must be considered opaque

    created date-timerequired

    When this notification was added

  • ]

  • cursor Cursor (string)required

    Cursor to use for the next request

Loading...